Subject: Re: Commercial Licensing
From: [email-masked] (Jim Balter)

31 Mar 1997 00:20:40 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
X-Mailer: Mozilla 3.01Gold (WinNT; I)
MIME-Version: 1.0
Original-To: Reed Kotler Consulting <[email-masked]>
Original-CC: [email-masked]
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
Original-Sender: [email-masked]

Reed Kotler Consulting wrote:
> 
> At 02:18 PM 3/29/97 -0800, you wrote:
> >Reed Kotler Consulting wrote:
> >
> >> I remember seeing this GPL thread go on and on and frankly I ignored it.
> >>
> >> However, I'm looking at the webpage for cygnus and seeing some
> >> claim that if you build software using the cygwin.dll that it has
> >> to become free software too if you don't have the commercial license.
> >>
> >> This seems to be a pretty far fetched reading of the GPL.
> >
> >Farfetched?  That seems pretty standard, since the issue is actually
> >libcygwin.a, which incorporates portions of GPL code into
> >your executable.  The situation is no different from using the bison
> >parser.  If you still think that's a wrong reading, perhaps you can take
> >it up on gnu.misc.discuss, where people like to talk about these things.
> >
> >--
> Well what is libcygwin.a? Presumably just the thunks that call the
> DLL.
> 
> So how can that code be under GPL?

libcygwin.a also includes libccrt0, libcctype, libcerr, libcmain,
getopt, and getopt1.  getopt* doesn't belong to Cygnus.  It would be
quite easy to provide your own versions of the others,
with the exception of libcmain, which would necessarily require either
copying the cygwin code or reverse engineering it.  What a court of law
would have to say, I dunno, but Cygnus has made their intention pretty
clear.

> I guess regarding Bison you are talking about the shell code for bison.

Yes.

> Then what about libc.a from GNU?

It is copyrighted under the LGPL, not the GPL.

> It seems that almost anything ever build with GNU would fall under GPL.

To one not familiar with the issues.

> Thats a pretty novel reading of the GPL though I guess it's discussed
> somewhere by people that care.

No, it is not novel, even if you haven't heard it before.

--
<J Q B>
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".